package ukázky;

import java.util.ArrayList;

public class Program 
{
    // Příkaz switch
    static String pozdrav(int n) throws Exception
    {
        switch(n)
        {
            case 0: return "Nazdar";
            case 1: return "Ahoj";
            default: throw new Exception("Nedovolená hodnota");
        }
    }
    // Když pouze vrací hodnoty, lze použít operátor switch
    static String pozdrav1(int n) throws Exception
    {
        return switch (n) {
            case 0 -> "Nazdar";
            case 1 -> "Ahoj";
            default -> "Poklona";
        };
    }
    static ArrayList<String> data = new ArrayList<>();
    
    public static void main(String[] args)  
    {
        data.add("nazdar");
        data.add("Dobrý den");
        int j = 0;
        cyklus: for(String i : data)
        {
            j++;
            System.out.println(i);
            // Příkaz break s návěštím označujícím 
            // cyklus, který chceme opustit
            // (zde je návěští zbytečné)
            if(j == 1) break  cyklus;
        }
        // Ukázka try - catch - finally
        try 
        {
            System.out.println(pozdrav(1));
            System.out.println("Hotovo");
        } 
        catch (Exception ex) 
        {
            //Logger.getLogger(Program.class.getName()).log(Level.SEVERE, null, ex);
            System.out.println("Chyba: " + ex.getMessage());
        }
        finally
        {
            System.out.println("Končíme");
        }
    }
}
